Bug 886329 - fedmsg-0.6.3 is a broken dependency.
Summary: fedmsg-0.6.3 is a broken dependency.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F18-accepted, F18FinalFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2012-12-12 03:57 UTC by Ralph Bean
Modified: 2012-12-23 04:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-23 04:16:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralph Bean 2012-12-12 03:57:25 UTC
python-fedmsg-meta-fedora-infrastructure has fedmsg-0.6.3 as a dependency.  The former made it out of updates-testing while the later did not.

It would be nice for fedmsg to make it into updates as well to resolve the broken dependency.

Comment 1 Ralph Bean 2012-12-12 04:01:55 UTC
Here is a link to the update in question:
https://admin.fedoraproject.org/updates/FEDORA-2012-19861/fedmsg-0.6.3-1.fc18

Comment 2 Tim Flink 2012-12-13 09:30:46 UTC
I'm unclear on why this needs to be pulled to stable during freeze. Is fedmesg on the DVD?

Comment 3 Ralph Bean 2012-12-13 15:20:48 UTC
I'm unclear on it as well (although I filed the bug at Kevin's suggestion).

python-fedmsg-meta-fedora-infrastructure got pushed to stable but it depends on fedmsg > 0.6.1 which makes for a broken dependency in the base repo.  Does that make sense?

Comment 4 Fedora Update System 2012-12-14 15:02:37 UTC
fedmsg-0.6.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-19888/fedmsg-0.6.3-1.fc17

Comment 5 Fedora Update System 2012-12-14 15:02:39 UTC
fedmsg-0.6.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19861/fedmsg-0.6.3-1.fc18

Comment 6 Fedora Update System 2012-12-15 17:57:32 UTC
fedmsg-0.6.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Adam Williamson 2012-12-15 21:20:35 UTC
I'm not sure there's any practical point to making this NTH, but just for the optics of having a frozen repo with no dep problems I guess I don't mind if we push it. call it a weak +1.

Comment 8 Adam Williamson 2012-12-17 19:10:07 UTC
Discussed at 2012-12-17 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-17/f18final-blocker-review-5.2012-12-17-16.40.log.txt . Accepted as NTH for the goal of producing a release repository which is 100% consistent.

Comment 9 Ralph Bean 2012-12-18 14:42:58 UTC
If this requires any further action on my part, please let me know.

Comment 10 Fedora Update System 2012-12-21 05:31:46 UTC
fedmsg-0.6.3-1.fc18, python-moksha-hub-1.1.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.